Create Workspace Document
curl --request POST \
--url https://api.raydocs.com/workspaces/{workspaceId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"filename": "<string>",
"mime": "<string>"
}
'import requests
url = "https://api.raydocs.com/workspaces/{workspaceId}/documents"
payload = {
"key": "<string>",
"filename": "<string>",
"mime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', filename: '<string>', mime: '<string>'})
};
fetch('https://api.raydocs.com/workspaces/{workspaceId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source_url": "<string>",
"parsings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_hash": "<string>",
"parser_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"dedup": {
"reused": true,
"matched_by": "<string>"
},
"document_ref": {
"kind": "documentRef",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source": {
"url": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source_url": "<string>",
"parsings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_hash": "<string>",
"parser_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"dedup": {
"reused": true,
"matched_by": "<string>"
},
"document_ref": {
"kind": "documentRef",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source": {
"url": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
}Documents
Create Workspace Document
Create or reuse a workspace document from an uploaded key.
POST
/
workspaces
/
{workspaceId}
/
documents
Create Workspace Document
Create a workspace document from a temporary upload key returned by
/vapor/signed-storage-url.
If a document with identical content already exists in the same workspace, the API reuses it (sha256 dedup).
Authentication & Scope
Requiresdocuments-write.
Request
POST /workspaces/12/documents HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
Content-Type: application/json
{
"key": "tmp/721c7d17-f810-41a8-8c1c-a7e8cd2e52d0",
"filename": "invoice.pdf"
}
Response
201 Created when new, 200 OK when reused.
{
"document": {
"id": "880e8400-e29b-41d4-a716-446655440000",
"workspace_id": 12,
"filename": "invoice.pdf",
"sha256": "6de7f6f5894c9f3fd1f6f8a4d1b3115d0d9b4b19d7a8a661f9fe90f9c2d80c3b",
"status": "uploaded"
},
"dedup": {
"reused": true,
"matched_by": "sha256"
},
"document_ref": {
"kind": "documentRef",
"documentId": "880e8400-e29b-41d4-a716-446655440000",
"workspaceId": 12
}
}
Authorizations
Path Parameters
Body
application/json
⌘I
